Bug 406091 - mkcert.sh barfs
mkcert.sh barfs
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dovecot (Show other bugs)
4.6
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Horák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 11:29 EST by Jakub Hrozek
Modified: 2008-06-11 05:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 05:19:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2007-11-30 11:29:53 EST
Description of problem:
On RHEL4 dovecot, the mkcert.sh does not work out-of-the box. This works on 
RHEL5.


Version-Release number of selected component (if applicable):
dovecot-0.99.11-8.EL4

How reproducible:
always

Steps to Reproduce:
1. bash /usr/share/doc/dovecot-0.99.11/mkcert.sh
  
Actual results:
error on line -1 of dovecot-openssl.cnf
1647:error:02001002:system library:fopen:No such file or 
directory:bss_file.c:104:fopen('dovecot-openssl.cnf','rb')
1647:error:2006D080:BIO routines:BIO_new_file:no such file:bss_file.c:107:
1647:error:0E064072:configuration file routines:CONF_load:no such 
file:conf_def.c:197:


Expected results:
/etc/pki/dovecot/private/dovecot.pem and /etc/pki/dovecot/certs/dovecot.pem 
generated

Additional info:
There is no dovecot-openssl.cnf shipped with dovecot, nor in RHEL5.
Comment 1 Jakub Hrozek 2007-11-30 11:35:49 EST
(In reply to comment #0)
> Additional info:
> There is no dovecot-openssl.cnf shipped with dovecot, nor in RHEL5.

Whoops, there is one with RHEL5 and actually RHEL4 dovecot seems to work with 
it.

Comment 2 Tomas Janousek 2007-12-03 11:06:01 EST
There is in RHEL4.

cd /usr/share/doc/dovecot-0.99.11/
bash mkcert.sh
Comment 3 Dan Horák 2008-06-10 04:14:18 EDT
Also a quick look into the script reveals that the OpenSSL config file can be
specified with an environment variable. And when starting a script from the docs
directory the user really should know what is he doing. So I think we can close
this bug with NOTABUG, any objections?
Comment 4 Jakub Hrozek 2008-06-11 05:19:57 EDT
No objections, this was a lame bug report :-) Closing..

Note You need to log in before you can comment on or make changes to this bug.